View Issue Details

IDProjectCategoryView StatusLast Update
0031778LazarusIDEpublic2017-05-15 12:08
ReporterCudaText man Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin10 
Product Version1.9 (SVN) 
Summary0031778: hi-dpi: IDE OI Restricted tab
DescriptionThis tab shows overlapped icons +text near them
Picture.
OS Scale 200%.
TagsNo tags attached.
Fixed in Revision54904
LazTarget-
Widgetset
Attached Files

Activities

CudaText man

2017-05-08 17:25

reporter  

oi-icons.png (9,398 bytes)   
oi-icons.png (9,398 bytes)   

Anton Kavalenka

2017-05-08 17:37

reporter   ~0100157

Toolbar autosize is wrong in Hi-DPI, see the 0031688

CudaText man

2017-05-09 11:37

reporter  

oi-fix.diff (909 bytes)   
Index: components/ideintf/objectinspector.pp
===================================================================
--- components/ideintf/objectinspector.pp	(revision 54824)
+++ components/ideintf/objectinspector.pp	(working copy)
@@ -1433,7 +1433,7 @@
 begin
   Result := FDefaultItemHeight;
   if (Result<=0) then
-    Result := MulDiv(22, Screen.PixelsPerInch, 96);
+    Result := ScaleCoord96(22);
 end;
 
 function TOICustomPropertyGrid.GetRowByPath(const PropPath: string): TOIPropertyGridRow;
@@ -5252,8 +5252,8 @@
       IDEImages.Images_16.Draw(
         ABox.Canvas, X, Y,
         IDEImages.LoadImage(16, 'issue_' + LCLPlatformDirNames[lclPlatform]));
-      Inc(X, 16);
-      Inc(X, OutVertCentered(X, IntToStr(ARestrictions[lclPlatform])).CX);
+      Inc(X, ScaleCoord96(16));
+      Inc(X, ScaleCoord96(OutVertCentered(X, IntToStr(ARestrictions[lclPlatform])).CX));
     end;
 
     if None then
oi-fix.diff (909 bytes)   

CudaText man

2017-05-09 11:38

reporter   ~0100175

Fix added.

Ondrej Pokorny

2017-05-14 09:24

developer   ~0100294

Applied, thank you.

I'd be very thankful if you could send patches also to other high-dpi issues you opened as well. Some of them should be easy to fix. Thanks.

Issue History

Date Modified Username Field Change
2017-05-08 17:25 CudaText man New Issue
2017-05-08 17:25 CudaText man File Added: oi-icons.png
2017-05-08 17:37 Anton Kavalenka Note Added: 0100157
2017-05-09 11:37 CudaText man File Added: oi-fix.diff
2017-05-09 11:38 CudaText man Note Added: 0100175
2017-05-09 20:28 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-05-09 20:28 Ondrej Pokorny Status new => assigned
2017-05-14 09:24 Ondrej Pokorny Fixed in Revision => 54904
2017-05-14 09:24 Ondrej Pokorny LazTarget => -
2017-05-14 09:24 Ondrej Pokorny Note Added: 0100294
2017-05-14 09:24 Ondrej Pokorny Status assigned => resolved
2017-05-14 09:24 Ondrej Pokorny Resolution open => fixed
2017-05-15 12:08 CudaText man Status resolved => closed